<?php
class wpdevart_bc_ViewThemes {
	public $model_obj;
    	
    public function __construct( $model ) {
		$this->model_obj = $model;
    }	
    public function display_themes($error_msg="",$delete=true) {
		$rows = $this->model_obj->get_themes_rows();
		$items_nav = $this->model_obj->items_nav();
		$asc_desc = ((isset($_POST['asc_desc']) && $_POST['asc_desc'] == 'asc') ? 'asc' : 'desc');
		$res_order_by = (isset($_POST['order_by']) ? esc_html($_POST['order_by']) :  'id');
		$res_order_class = 'sorted ' . $asc_desc; ?>
		<div id="wpdevart_themes_container" class="wpdevart-list-container">
			<div id="action-buttons" class="div-for-clear">
				<div class="div-for-clear">
					<span class="admin_logo"></span>
					<h1>Themes <a href="http://wpdevart.com/wordpress-booking-calendar-plugin/"><span class="pro_feature"> (Upgrade to Pro Version)</span></a></h1>
				</div>
				<a href="" onclick="wpdevart_set_value('task','add'); wpdevart_form_submit(event, 'themes_form')" class="action-link">Add Theme</a>
				<a href="" onclick="wpdevart_set_value('task','delete_selected'); wpdevart_form_submit(event, 'themes_form')" class="action-link delete-link">Delete</a>
			</div>
			<?php if(isset($error_msg) && $error_msg != "") {
				$class = "error";
				if($delete === true) {
					$class = "updated";
				} ?>
				<div id="message" class="<?php echo $class; ?> notice is-dismissible"><p><?php echo $error_msg; ?></p></div>
			<?php } ?>
			<form action="admin.php?page=wpdevart-themes" method="post" id="themes_form">
			<?php wpdevart_bc_Library::items_nav($items_nav['limit'],$items_nav['total'],'themes_form'); ?>
				<table class="wp-list-table widefat fixed pages wpdevart-table"> 
					<tr>
						<thead>
							<th class="check-column"><input type="checkbox" name="check_all" onclick="check_all_checkboxes(this,'check_for_action');"></th>
							<th class="small-column">ID</th>
							<th>Title</th>
							<th class="action-column">Edit</th>
							<th class="action-column">Delete</th>
						</thead>
					<tr>
					<?php
						foreach ( $rows as $row ) { ?>
							<tr>
								<td><input type="checkbox" name="check_for_action[]" class="check_for_action" value="<?php echo $row->id; ?>"></td>
								<td><?php echo $row->id; ?></td>
								<td><a href="" onclick="wpdevart_set_value('task','edit'); wpdevart_set_value('cur_id','<?php echo $row->id; ?>'); wpdevart_form_submit(event, 'themes_form')" ><?php echo $row->title; ?></a></td>
								<td><a href="" onclick="wpdevart_set_value('task','edit'); wpdevart_set_value('cur_id','<?php echo $row->id; ?>'); wpdevart_form_submit(event, 'themes_form')" >Edit</a></td>
								<td><a href="" onclick="wpdevart_set_value('task','delete'); wpdevart_set_value('cur_id','<?php echo $row->id; ?>'); wpdevart_form_submit(event, 'themes_form')" >Delete</a></td>
							<tr>
					<?php	}
					?>
				</table>
				<input type="hidden" name="task" id="task" value="">
				<input type="hidden" name="id" id="cur_id" value="">
				<?php wpdevart_bc_Library::items_nav($items_nav['limit'],$items_nav['total'],'themes_form'); ?>
			</form>
		</div>
    <?php }
	
    public function edit_setting( $id = 0 ) { 
	    
		$wpdevart_themes = array(
	
			/* General Themes */
			'general' => array(
				'title' => 'General',
				'sections' => array(
				    'general' => array(
						'date_format' => array(
							'id'   => 'date_format',
							'title' => 'Date format',
							'description' =>'Type your date format for emails and the reservation table',
							'valid_options' => array(
							  'F j, Y' => date('F j, Y'),
							  'Y M j' => date('Y M j'),
							  'd.m.Y' => date('d.m.Y'),
							  'd-m-Y' => date('d-m-Y'),
							  'd/m/Y' => date('d/m/Y'),
							  'm/d/Y' => date('m/d/Y')
							),
							'type' => 'select',
							'default' => ''
						),
						'week_days' => array(
							'id'   => 'week_days',
							'title' => 'Week days format',
							'description' => '',
							'valid_options' => array(
							  '0' => 'Sunday',
							  '1' => 'Sun',
							  '2' => 'Su'
							),
							'type' => 'select',
							'default' => ''
						),
						/*'tyme_type' => array(
							'id'   => 'tyme_type',
							'title' => __( 'Tyme type', 'booking-calendar' ),
							'description' => '',
							'type' => 'text',
							'default' => ''
						),
						'month_number' => array(
							'id'   => 'month_number',
							'title' => __( 'Number of months', 'booking-calendar' ),
							'description' => '',
							'type' => 'text',
							'default' => 1
						),*/
						'day_start' => array(
							'id'   => 'day_start',
							'title' => 'Start Day of the week',
							'description' => 'Type here the start day of the week for Calendar',
							'valid_options' => array(
							  '0' => 'Sunday',
							  '1' => 'Monday',
							  '2' => 'Tuesday',
							  '3' => 'Wednesday',
							  '4' => 'Thursday',
							  '5' => 'Friday',
							  '6' => 'Saturday'
							),
							'type' => 'select',
							'default' => '1'
						),
						'default_year' => array(
							'id'   => 'default_year',
							'title' => 'Default Year',
							'description' => '',
							'type' => 'text',
							'pro' => true,
							'default' => ''
						),
						'default_month' => array(
							'id'   => 'default_month',
							'title' => 'Default Month',
							'description' => '',
							'valid_options' => $this->get_month(),
							'type' => 'select',
							'pro' => true,
							'default' => '0'
						),
						'cal_animation_type' => array(
							'id'   => 'cal_animation_type',
							'title' => 'Calendar Animation type',
							'description' => '',
							'valid_options' => $this->cal_animation_type(),
							'type' => 'select',
							'pro' => true,
							'default' => 'none'
						),
						'scroll_offset' => array(
							'id'   => 'scroll_offset',
							'title' => 'Scroll Offset',
							'description' => '',
							'type' => 'text',
							'default' => 0
						),
						'show_form' => array(
							'id'   => 'show_form',
							'title' =>'Show Form before select the days',
							'description' => '',
							'type' => 'checkbox',
							'pro' => true,
							'default' => 'on'
						),
						'unavailable_week_days' => array(
							'id'   => 'unavailable_week_days',
							'title' => 'Unavailable week days',
							'description' => '',
							'valid_options' => array(
							  '0' => 'Sunday',
							  '1' => 'Monday',
							  '2' => 'Tuesday',
							  '3' => 'Wednesday',
							  '4' => 'Thursday',
							  '5' => 'Friday',
							  '6' => 'Saturday'
							),
							'type' => 'checkbox',
							'default' => array()
						),
						'enable_instant_approval' => array(
							'id'   => 'enable_instant_approval',
							'title' => 'Enable instant approval',
							'description' => 'Select this option and the booking request will be approved instantly',
							'type' => 'checkbox',
							'default' => ''
						),
						'type_days_selection' => array(
							'id'   => 'type_days_selection',
							'title' => 'Type of days selection in calendar',
							'description' => '',
							'type' => 'radio',
							'valid_options' => array("multiple_days"=>"Multiple days","single_day"=>"Single day"),
							'default' => 'multiple_days'
						),
						'enable_checkinout' => array(
							'id'   => 'enable_checkinout',
							'title' => 'Enable Check in/Check out',
							'description' => 'Show Check in/Check out text in Form',
							'type' => 'checkbox',
							'default' => 'on'
						),
						'enable_number_items' => array(
							'id'   => 'enable_number_items',
							'title' => 'Enable number of items',
							'description' => 'Show number of items in Form',
							'type' => 'checkbox',
							'default' => 'on'
						),
						'enable_terms_cond' => array(
							'id'   => 'enable_terms_cond',
							'title' => 'Enable Terms & Conditions',
							'description' => 'Enable Terms & Conditions',
							'enable' => array('terms_cond_link'),
							'type' => 'checkbox_enable',
							'default' => ''
						),
						'terms_cond_link' => array(
							'id'   => 'terms_cond_link',
							'title' => 'Terms & Conditions link',
							'description' =>'Terms & Conditions link',
							'type' => 'text',
							'extra_div'=> true,
							'extra_div_end'=> true,
							'default' => ''
						),
						'enable_form_title' => array(
							'id'   => 'enable_form_title',
							'title' => 'Enable Form title',
							'description' => '',
							'type' => 'checkbox',
							'default' => 'on'
						),
						'enable_extras_title' => array(
							'id'   => 'enable_extras_title',
							'title' => 'Enable Extras title',
							'description' => '',
							'type' => 'checkbox',
							'default' => 'on'
						),
						'legend_enable' => array(
							'id'   => 'legend_enable',
							'title' => 'Show days status below date',
							'description' =>'This is an important function, so we think you should use the days status option',
							'enable' => array('legend_available_enable','legend_available','legend_booked_enable','legend_booked','legend_unavailable_enable','legend_unavailable'),
							'type' => 'checkbox_enable',
							'default' => 'on'
						),
						'legend_available_enable' => array(
							'id'   => 'legend_available_enable',
							'title' => 'Available',
							'description' => '',
							'enable' => array('legend_available'),
							'type' => 'checkbox_enable',
							'extra_div'=> true,
							'default' => 'on'
						),
						'legend_available' => array(
							'id'   => 'legend_available',
							'title' => '',
							'description' => '',
							'type' => 'text',
							'default' => 'Available'
						),
						'legend_booked_enable' => array(
							'id'   => 'legend_booked_enable',
							'title' => 'Booked',
							'description' => '',
							'enable' => array('legend_booked'),
							'type' => 'checkbox_enable',
							'default' => 'on'
						),
						'legend_booked' => array(
							'id'   => 'legend_booked',
							'title' => '',
							'description' => '',
							'type' => 'text',
							'default' => 'Booked'
						),
						'legend_unavailable_enable' => array(
							'id'   => 'legend_unavailable_enable',
							'title' =>'Unavailable',
							'description' => '',
							'enable' => array('legend_unavailable'),
							'type' => 'checkbox_enable',
							'default' => 'on'
						),
						'legend_unavailable' => array(
							'id'   => 'legend_unavailable',
							'title' => '',
							'description' => '',
							'type' => 'text',
							'extra_div_end'=> true,
							'default' => 'Unavailable'
						),
						'action_after_submit' => array(
							'id'   => 'action_after_submit',
							'title' => 'Action after submition',
							'description' => '',
							'valid_options' => array(
								'stay_on_calendar' => 'Stay on Calendar',
								'redirect' => 'Redirect visitor to a new page'
							),
							'enable' => array('stay_on_calendar'=>array('message_text'),'redirect' =>array( 'redirect_url')),
							'type' => 'radio_enable',
							'pro' => true,
							'default' => 'stay_on_calendar'
						),
						'message_text' => array(
							'id'   => 'message_text',
							'title' => 'Message title',
							'description' => '',
							'type' => 'text',
							'default' => 'Thanks :)'
						),
						/*'time_of_message' => array(
							'id'   => 'time_of_message',
							'title' => __( 'Time of message showing', 'booking-calendar' ),
							'description' => '',
							'type' => 'text',
							'default' => '30'
						),*/
						'redirect_url' => array(
							'id'   => 'redirect_url',
							'title' => 'URL',
							'description' => '',
							'type' => 'text',
							'default' => ''
						)
					),
					'currency_settings' => array(
						'currency' => array(
							'id'   => 'currency',
							'title' => 'Currency',
							'description' => '',
							'valid_options' => wpdevart_bc_get_currency(),
							'currency' => true,
							'type' => 'select',
							'default' => 'USD'
						)
						/*'currency_pos' => array(
							'id'   => 'currency_pos',
							'title' => __( 'Currency Position', 'booking-calendar' ),
							'description' => '',
							'valid_options' => array("after" => "After","before" => "Before"),
							'type' => 'select',
							'default' => ''
						)*/
					),
					'widget_settings' => array(
						'show_day_info_on_hover' => array(
							'id'   => 'show_day_info_on_hover',
							'title' => 'Show Day Info on Hover',
							'description' => '',
							'type' => 'checkbox',
							'default' => 'on'
						)
					)
                )					
			),
			/*"hour_themes" => array(
				'title' => 'Hours Themes',
					'value' => array(
						'hours_enabled' => array(
							'id'   => 'hours_enabled',
							'title' => __( 'Hours Enabled', 'booking-calendar' ),
							'description' => '',
							'type' => 'checkbox',
							'default' => ''
						),
						'hours_interval_enabled' => array(
							'id'   => 'hours_interval_enabled',
							'title' => __( 'Hours Interval Enabled', 'booking-calendar' ),
							'description' => '',
							'type' => 'checkbox',
							'default' => ''
						),
						'enable_hours_info' => array(
							'id'   => 'enable_hours_info',
							'title' => __( 'Enable hours info', 'booking-calendar' ),
							'description' => '',
							'type' => 'checkbox',
							'default' => ''
						),
						'hours_definitions' => array(
							'id'   => 'hours_definitions',
							'title' => __( 'Hours Definitions', 'booking-calendar' ),
							'description' => '',
							'type' => 'textarea',
							'default' => ''
						)
					)
			),*/
			"styles_and_colors" => array(
				'title' => 'Styles and Colors',
				'pro' => true,
				'sections' => array(
					'styles' => array(
						/*Calendar styles*/
						'calendar_max_width' => array(
							'id'   => 'calendar_max_width',
							'title' => 'Calendar Maximum width',
							'description' => '',
							'type' => 'text',
							'default' => '680'
						),
						'calendar_header_font_weight' => array(
							'id'   => 'calendar_header_font_weight',
							'title' => 'Calendar Header font weight',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_weight(),
							'default' => 'normal'
						),
						'calendar_header_font_style' => array(
							'id'   => 'calendar_header_font_style',
							'title' => 'Calendar Header font style',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_style(),
							'default' => 'normal'
						),
						'calendar_header_padding' => array(
							'id'   => 'calendar_header_padding',
							'title' => 'Calendar Header padding',
							'description' => '',
							'type' => 'text',
							'default' => '10'
						),
						'next_prev_month_size' => array(
							'id'   => 'next_prev_month_size',
							'title' => 'Next Prev Month font size',
							'description' => '',
							'type' => 'text',
							'default' => '15'
						),
						'current_month_size' => array(
							'id'   => 'current_month_size',
							'title' => 'Current Month font size',
							'description' => '',
							'type' => 'text',
							'default' => '19'
						),
						'current_year_size' => array(
							'id'   => 'current_year_size',
							'title' => 'Current Year font size',
							'description' => '',
							'type' => 'text',
							'default' => '19'
						),
						'week_days_font_weight' => array(
							'id'   => 'week_days_font_weight',
							'title' => 'Week Days font weight',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_weight(),
							'default' => 'normal'
						),
						'week_days_font_style' => array(
							'id'   => 'week_days_font_style',
							'title' => 'Week Days font style',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_style(),
							'default' => 'normal'
						),
						'week_days_size' => array(
							'id'   => 'week_days_size',
							'title' => 'Week Days font size',
							'description' => '',
							'type' => 'text',
							'default' => '13'
						),
						'day_number_font_weight' => array(
							'id'   => 'day_number_font_weight',
							'title' => 'Day Number font weight',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_weight(),
							'default' => 'normal'
						),
						'day_number_font_style' => array(
							'id'   => 'day_number_font_style',
							'title' => 'Day Number font style',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_style(),
							'default' => 'normal'
						),
						'day_number_size' => array(
							'id'   => 'day_number_size',
							'title' => 'Day Number font size',
							'description' => '',
							'type' => 'text',
							'default' => '13'
						),
						'day_availability_font_weight' => array(
							'id'   => 'day_availability_font_weight',
							'title' => 'Day Availability font weight',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_weight(),
							'default' => 'normal'
						),
						'day_availability_font_style' => array(
							'id'   => 'day_availability_font_style',
							'title' => 'Day Availability font style',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_style(),
							'default' => 'normal'
						),
						'day_availability_size' => array(
							'id'   => 'day_availability_size',
							'title' => 'Day Availability font size',
							'description' => '',
							'type' => 'text',
							'default' => '13'
						),
						'day_price_font_weight' => array(
							'id'   => 'day_price_font_weight',
							'title' => 'Day Price font weight',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_weight(),
							'default' => 'normal'
						),
						'day_price_font_style' => array(
							'id'   => 'day_price_font_style',
							'title' => 'Day Price font style',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_style(),
							'default' => 'normal'
						),
						'day_price_size' => array(
							'id'   => 'day_price_size',
							'title' => 'Day Price font size',
							'description' => '',
							'type' => 'text',
							'default' => '12'
						),
						'days_min_height' => array(
							'id'   => 'days_min_height',
							'title' => 'Days height',
							'description' => '',
							'type' => 'text',
							'default' => '65'
						),
						'info_font_weight' => array(
							'id'   => 'info_font_weight',
							'title' => 'Info font weight',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_weight(),
							'default' => 'normal'
						),
						'info_font_style' => array(
							'id'   => 'info_font_style',
							'title' => 'Info font style',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_style(),
							'default' => 'normal'
						),
						'info_size' => array(
							'id'   => 'info_size',
							'title' => 'Info font size',
							'description' => '',
							'type' => 'text',
							'default' => '13'
						),
						'info_border_radius' => array(
							'id'   => 'info_border_radius',
							'title' => 'Info Border radius',
							'description' => '',
							'type' => 'text',
							'default' => '0'
						),
						/*Form styles*/
						'form_title_weight' => array(
							'id'   => 'form_title_weight',
							'title' =>'Form/Extra Title font weight',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_weight(),
							'default' => 'normal'
						),
						'form_title_style' => array(
							'id'   => 'form_title_style',
							'title' => 'Form/Extra Title font style',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_style(),
							'default' => 'italic'
						),
						'form_title_size' => array(
							'id'   => 'form_title_size',
							'title' => 'Form/Extra Title font size',
							'description' => '',
							'type' => 'text',
							'default' => '21'
						),
						'form_labels_weight' => array(
							'id'   => 'form_labels_weight',
							'title' => 'Form/Extra Labels font weight',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_weight(),
							'default' => 'normal'
						),
						'form_labels_style' => array(
							'id'   => 'form_labels_style',
							'title' => 'Form/Extra Labels font style',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_style(),
							'default' => 'italic'
						),
						'form_labels_size' => array(
							'id'   => 'form_labels_size',
							'title' => 'Form/Extra Labels font size',
							'description' => '',
							'type' => 'text',
							'default' => '15'
						),
						'form_fields_weight' => array(
							'id'   => 'form_fields_weight',
							'title' => 'Form/Extra Fields font weight',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_weight(),
							'default' => 'normal'
						),
						'form_fields_style' => array(
							'id'   => 'form_fields_style',
							'title' => 'Form/Extra Fields font style',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_style(),
							'default' => 'normal'
						),
						'form_fields_size' => array(
							'id'   => 'form_fields_size',
							'title' => 'Form/Extra Fields font size',
							'description' => '',
							'type' => 'text',
							'default' => '15'
						),
						'form_submit_weight' => array(
							'id'   => 'form_submit_weight',
							'title' => 'Form Submit font weight',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_weight(),
							'default' => 'normal'
						),
						'form_style_style' => array(
							'id'   => 'form_style_style',
							'title' => 'Form Submit font style',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_style(),
							'default' => 'normal'
						),
						'reserv_info_weight' => array(
							'id'   => 'reserv_info_weight',
							'title' => 'Reservation Info font weight',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_weight(),
							'default' => 'normal'
						),
						'reserv_info_style' => array(
							'id'   => 'reserv_info_style',
							'title' => 'Reservation Info font style',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_style(),
							'default' => 'normal'
						),
						'reserv_info_size' => array(
							'id'   => 'reserv_info_size',
							'title' => 'Reservation Info font size',
							'description' => '',
							'type' => 'text',
							'default' => '14'
						),
						'widget_day_info_weight' => array(
							'id'   => 'widget_day_info_weight',
							'title' => 'Widget Day Info font weight',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_weight(),
							'default' => 'normal'
						),
						'widget_day_info_style' => array(
							'id'   => 'widget_day_info_style',
							'title' => 'Widget Day Info font style',
							'description' => '',
							'type' => 'select',
							'valid_options' => $this->font_style(),
							'default' => 'normal'
						),
						'widget_day_info_size' => array(
							'id'   => 'widget_day_info_size',
							'title' => 'Widget Day Info font size',
							'description' => '',
							'type' => 'text',
							'default' => '14'
						)
					),
					"colors" => array(	
						/*Calendar colors*/
						'calendar_header_bg' => array(
							'id'   => 'calendar_header_bg',
							'title' => 'Calendar Header background',
							'description' => '',
							'type' => 'color',
							'default' => '#FFFFFF'
						),
						'next_prev_month' => array(
							'id'   => 'next_prev_month',
							'title' => 'Next Preview Month color',
							'description' => '',
							'type' => 'color',
							'default' => '#636363'
						),
						'current_month' => array(
							'id'   => 'current_month',
							'title' => 'Current Month color',
							'description' => '',
							'type' => 'color',
							'default' => '#636363'
						),
						'current_year' => array(
							'id'   => 'current_year',
							'title' => 'Current Year color',
							'description' => '',
							'type' => 'color',
							'default' => '#636363'
						),
						'week_days_bg' => array(
							'id'   => 'week_days_bg',
							'title' => 'Week Days background',
							'description' => '',
							'type' => 'color',
							'default' => '#ECECEC'
						),
						'week_days_color' => array(
							'id'   => 'week_days_color',
							'title' => 'Week Days color',
							'description' => '',
							'type' => 'color',
							'default' => '#656565'
						),
						'calendar_bg' => array(
							'id'   => 'calendar_bg',
							'title' => 'Calendar background',
							'description' => '',
							'type' => 'color',
							'default' => '#FFFFFF'
						),
						'calendar_border' => array(
							'id'   => 'calendar_border',
							'title' => 'Calendar Border color',
							'description' => '',
							'type' => 'color',
							'default' => '#ddd'
						),
						'day_bg' => array(
							'id'   => 'day_bg',
							'title' => 'Day background',
							'description' => '',
							'type' => 'color',
							'default' => '#FFFFFF'
						),
						'day_number_bg' => array(
							'id'   => 'day_number_bg',
							'title' => 'Day Number background',
							'description' => '',
							'type' => 'color',
							'default' => '#ECECEC'
						),
						'day_color' => array(
							'id'   => 'day_color',
							'title' => 'Day Number color',
							'description' => '',
							'type' => 'color',
							'default' => '#464646'
						),
						'day_availability_color' => array(
							'id'   => 'day_availability_color',
							'title' => 'Day Availability color',
							'description' => '',
							'type' => 'color',
							'default' => '#848484'
						),
						'day_price_color' => array(
							'id'   => 'day_price_color',
							'title' => 'Day Price color',
							'description' => '',
							'type' => 'color',
							'default' => '#848484'
						),
						'available_day_bg' => array(
							'id'   => 'available_day_bg',
							'title' => 'Available Day background',
							'description' => '',
							'type' => 'color',
							'default' => '#FFFFFF'
						),
						'available_day_number_bg' => array(
							'id'   => 'available_day_number_bg',
							'title' => 'Available Day Number background',
							'description' => '',
							'type' => 'color',
							'default' => '#85B70B'
						),
						'available_day_color' => array(
							'id'   => 'available_day_color',
							'title' => 'Available Day Number color',
							'description' => '',
							'type' => 'color',
							'default' => '#FFFFFF'
						),
						'selected_day_bg' => array(
							'id'   => 'selected_day_bg',
							'title' => 'Selected Day background',
							'description' => '',
							'type' => 'color',
							'default' => '#FFFFFF'
						),
						'selected_day_number_bg' => array(
							'id'   => 'selected_day_number_bg',
							'title' => 'Selected Day Number background',
							'description' => '',
							'type' => 'color',
							'default' => '#373740'
						),
						'selected_day_color' => array(
							'id'   => 'selected_day_color',
							'title' => 'Selected Day Number color',
							'description' => '',
							'type' => 'color',
							'default' => '#FFFFFF'
						),
						'selected_day_availability_color' => array(
							'id'   => 'selected_day_availability_color',
							'title' => 'Selected Day Availability color',
							'description' => '',
							'type' => 'color',
							'default' => '#848484'
						),
						'selected_day_price_color' => array(
							'id'   => 'selected_day_price_color',
							'title' => 'Selected Day Price color',
							'description' => '',
							'type' => 'color',
							'default' => '#848484'
						),
						'unavailable_day_bg' => array(
							'id'   => 'unavailable_day_bg',
							'title' => 'Unavailable Day background',
							'description' => '',
							'type' => 'color',
							'default' => '#FFFFFF'
						),
						'unavailable_day_number_bg' => array(
							'id'   => 'unavailable_day_number_bg',
							'title' => 'Unavailable Day Number background',
							'description' => '',
							'type' => 'color',
							'default' => '#464646'
						),
						'unavailable_day_color' => array(
							'id'   => 'unavailable_day_color',
							'title' => 'Unavailable Day Number color',
							'description' => '',
							'type' => 'color',
							'default' => '#ECECEC'
						),
						'unavailable_day_availability_color' => array(
							'id'   => 'unavailable_day_availability_color',
							'title' => 'Unavailable Day Availability color',
							'description' => '',
							'type' => 'color',
							'default' => '#848484'
						),
						'booked_day_bg' => array(
							'id'   => 'booked_day_bg',
							'title' => 'Booked Day background',
							'description' => '',
							'type' => 'color',
							'default' => '#FFFFFF'
						),
						'booked_day_number_bg' => array(
							'id'   => 'booked_day_number_bg',
							'title' => 'Booked Day Number background',
							'description' => '',
							'type' => 'color',
							'default' => '#FD7C93'
						),
						'booked_day_color' => array(
							'id'   => 'booked_day_color',
							'title' => 'Booked Day Number color',
							'description' => '',
							'type' => 'color',
							'default' => '#FFFFFF'
						),
						'booked_day_availability_color' => array(
							'id'   => 'booked_day_availability_color',
							'title' => 'Booked Day Availability color',
							'description' => '',
							'type' => 'color',
							'default' => '#848484'
						),
						'info_icon_color' => array(
							'id'   => 'info_icon_color',
							'title' => 'Info Icon color',
							'description' => '',
							'type' => 'color',
							'default' => '#FFFFFF'
						),
						'info_bg' => array(
							'id'   => 'info_bg',
							'title' => 'Info background',
							'description' => '',
							'type' => 'color',
							'default' => '#FFFFFF'
						),
						'info_color' => array(
							'id'   => 'info_color',
							'title' => 'Info Icon color',
							'description' => '',
							'type' => 'color',
							'default' => '#4E4E4E'
						),
						/*Form colors*/
						'form_bg' => array(
							'id'   => 'form_bg',
							'title' => 'Form background',
							'description' => '',
							'type' => 'color',
							'default' => '#FDFDFD'
						),
						'form_border' => array(
							'id'   => 'form_border',
							'title' => 'Form boreder color',
							'description' => '',
							'type' => 'color',
							'default' => '#ddd'
						),
						'form_title_color' => array(
							'id'   => 'form_title_color',
							'title' => 'Form/Extra Title color',
							'description' => '',
							'type' => 'color',
							'default' => '#636363'
						),
						'form_title_bg' => array(
							'id'   => 'form_title_bg',
							'title' => 'Form/Extra Title background',
							'description' => '',
							'type' => 'color',
							'default' => '#FDFDFD'
						),
						'form_labels_color' => array(
							'id'   => 'form_labels_color',
							'title' => 'Form/Extra Labels color',
							'description' => '',
							'type' => 'color',
							'default' => '#636363'
						),
						'form_fields_color' => array(
							'id'   => 'form_fields_color',
							'title' => 'Form/Extra Fields color',
							'description' => '',
							'type' => 'color',
							'default' => '#636363'
						),
						'reserv_info_color' => array(
							'id'   => 'reserv_info_color',
							'title' => 'Reservation Info color',
							'description' => '',
							'type' => 'color',
							'default' => '#545454'
						),
						'total_bg' => array(
							'id'   => 'total_bg',
							'title' => 'Total Price background',
							'description' => '',
							'type' => 'color',
							'default' => '#545454'
						),
						'total_color' => array(
							'id'   => 'total_color',
							'title' => 'Total Price color',
							'description' => '',
							'type' => 'color',
							'default' => '#F7F7F7'
						),
						'required_star_color' => array(
							'id'   => 'required_star_color',
							'title' => 'Required Star color',
							'description' => '',
							'type' => 'color',
							'default' => '#FD7C93'
						),
						'submit_button_bg' => array(
							'id'   => 'submit_button_bg',
							'title' => 'Submit Button background',
							'description' => '',
							'type' => 'color',
							'default' => '#FD7C93'
						),
						'submit_button_color' => array(
							'id'   => 'submit_button_color',
							'title' => 'Submit Button color',
							'description' => '',
							'type' => 'color',
							'default' => '#FFFFFF'
						),
						'error_info_bg' => array(
							'id'   => 'error_info_bg',
							'title' => 'Error Info background',
							'description' => '',
							'type' => 'color',
							'default' => '#FFFFFF'
						),
						'error_info_color' => array(
							'id'   => 'error_info_color',
							'title' => 'Error Info color',
							'description' => '',
							'type' => 'color',
							'default' => '#C11212'
						),
						'error_info_border' => array(
							'id'   => 'error_info_border',
							'title' => 'Error Info Border color',
							'description' => '',
							'type' => 'color',
							'default' => '#C11212'
						),
						'error_info_close_bg' => array(
							'id'   => 'error_info_close_bg',
							'title' => 'Error Info Close background',
							'description' => '',
							'type' => 'color',
							'default' => '#C11212'
						),
						'error_info_close_color' => array(
							'id'   => 'error_info_close_color',
							'title' => 'Error Info Close color',
							'description' => '',
							'type' => 'color',
							'default' => '#FFFFFF'
						),
						'successfully_info_bg' => array(
							'id'   => 'successfully_info_bg',
							'title' => 'Successfully Info background',
							'description' => '',
							'type' => 'color',
							'default' => '#FFFFFF'
						),
						'successfully_info_color' => array(
							'id'   => 'successfully_info_color',
							'title' => 'Successfully Info color',
							'description' => '',
							'type' => 'color',
							'default' => '#7FAD16'
						),
						'successfully_info_border' => array(
							'id'   => 'successfully_info_border',
							'title' => 'Successfully Info Border color',
							'description' => '',
							'type' => 'color',
							'default' => '#7FAD16'
						),
						'successfully_info_close_bg' => array(
							'id'   => 'successfully_info_close_bg',
							'title' => 'Successfully Info Close background',
							'description' => '',
							'type' => 'color',
							'default' => '#7FAD16'
						),
						'successfully_info_close_color' => array(
							'id'   => 'successfully_info_close_color',
							'title' => 'Successfully Info Close color',
							'description' => '',
							'type' => 'color',
							'default' => '#FFFFFF'
						),
						'widget_day_info_bg' => array(
							'id'   => 'widget_day_info_bg',
							'title' => 'Widget Day Info background',
							'description' => '',
							'type' => 'color',
							'default' => '#FFFFFF'
						),
						'widget_day_info_color' => array(
							'id'   => 'widget_day_info_color',
							'title' => 'Widget Day Info color',
							'description' => '',
							'type' => 'color',
							'default' => '#6B6B6B'
						),
						'widget_day_info_border_color' => array(
							'id'   => 'widget_day_info_border_color',
							'title' => 'Widget Day Info border color',
							'description' => '',
							'type' => 'color',
							'default' => '#C7C7C7'
						)
					)				
			    )			
			),
			"notifications" => array(
				'title' => 'Notifications',
				'sections' => array(
					'email_to_administrator' => array(
						'admin_mail_info' => array(
							'id'   => 'admin_mail_info',
							'title' => 'You can use these shortcodes in content of admin templates',
							'description' => '<span>[detalis]</span> - inserting detalis about the reservation,<br><span>[siteurl]</span> - inserting your site URL ,<br><span>[moderatelink]</span> - inserting moderate link of new reservation,<br><span>[form]</span> - inserting form information,<br><span>[extras]</span> - inserting extras information, ',
							'type' => 'info',
							'default' => ''
						),
						'notify_admin_on_book' => array(
							'id'   => 'notify_admin_on_book',
							'title' => 'Notify on book request',
							'description' => '',
							'enable' => array('notify_admin_on_book_to','notify_admin_on_book_from','notify_admin_on_book_subject','notify_admin_on_book_content'),
							'type' => 'checkbox_enable',
							'default' => 'on'
						),
						'notify_admin_on_book_to' => array(
							'id'   => 'notify_admin_on_book_to',
							'title' => 'To:',
							'description' => '',
							'type' => 'text',
							'width' => 340,
							'extra_div' => true,
							'default' => "\"Booking calendar\" <".(get_option("admin_email")).">"
						),
						'notify_admin_on_book_from' => array(
							'id'   => 'notify_admin_on_book_from',
							'title' => 'From:',
							'description' => '',
							'type' => 'text',
							'width' => 340,
							'default' => '[useremail]'
						),
						'notify_admin_on_book_subject' => array(
							'id'   => 'notify_admin_on_book_subject',
							'title' => 'Subject:',
							'description' => '',
							'type' => 'text',
							'width' => 340,
							'default' => 'You received a booking request.'
						),
						'notify_admin_on_book_content' => array(
							'id'   => 'notify_admin_on_book_content',
							'title' => 'Content:',
							'description' => '',
							'type' => 'textarea',
							'wp_editor' => true,
							'extra_div_end' => true,
							'default' => ''
						),
						'notify_admin_on_approved' => array(
							'id'   => 'notify_admin_on_approved',
							'title' => 'Notify on approved book request',
							'description' => '',
							'enable' => array('notify_admin_on_approved_to','notify_admin_on_approved_from','notify_admin_on_approved_subject','notify_admin_on_approved_content'),
							'type' => 'checkbox_enable',
							'default' => 'on'
						),
						'notify_admin_on_approved_to' => array(
							'id'   => 'notify_admin_on_approved_to',
							'title' => 'To:',
							'description' => '',
							'type' => 'text',
							'width' => 340,
							'extra_div' => true,
							'default' => "\"Booking calendar\" <".(get_option("admin_email")).">"
						),
						'notify_admin_on_approved_from' => array(
							'id'   => 'notify_admin_on_approved_from',
							'title' => 'From:',
							'description' => '',
							'type' => 'text',
							'width' => 340,
							'default' => '[useremail]'
						),
						'notify_admin_on_approved_subject' => array(
							'id'   => 'notify_admin_on_approved_subject',
							'title' => 'Subject:',
							'description' => '',
							'type' => 'text',
							'width' => 340,
							'default' => 'You received a booking request.'
						),
						'notify_admin_on_approved_content' => array(
							'id'   => 'notify_admin_on_approved_content',
							'title' => 'Content:',
							'description' => '',
							'type' => 'textarea',
							'wp_editor' => true,
							'extra_div_end' => true,
							'default' => ''
						),
						/*'notify_admin_paypal' => array(
							'id'   => 'notify_admin_paypal',
							'title' => __( 'PayPal - Notify', 'booking-calendar' ),
							'description' => '',
							'enable' => array('notify_admin_paypal_to','notify_admin_paypal_from','notify_admin_paypal_subject','notify_admin_paypal_content'),
							'type' => 'checkbox_enable',
							'default' => 'on'
						),
						'notify_admin_paypal_to' => array(
							'id'   => 'notify_admin_paypal_to',
							'title' => __( 'To:', 'booking-calendar' ),
							'description' => '',
							'type' => 'text',
							'width' => 340,
							'extra_div' => true,
							'default' => "\"Booking calendar\" <".(get_option("admin_email")).">"
						),
						'notify_admin_paypal_from' => array(
							'id'   => 'notify_admin_paypal_from',
							'title' => __( 'From:', 'booking-calendar' ),
							'description' => '',
							'type' => 'text',
							'width' => 340,
							'default' => '[useremail]'
						),
						'notify_admin_paypal_subject' => array(
							'id'   => 'admin_paypal_subject',
							'title' => __( 'Subject:', 'booking-calendar' ),
							'description' => '',
							'type' => 'text',
							'width' => 340,
							'default' => 'You received a booking request.'
						),
						'notify_admin_paypal_content' => array(
							'id'   => 'admin_paypal_content',
							'title' => __( 'Content:', 'booking-calendar' ),
							'description' => '',
							'type' => 'textarea',
							'wp_editor' => true,
							'extra_div_end' => true,
							'default' => ''
						)*/
					),
					'email_to_user' => array(
						'user_mail_info' => array(
							'id'   => 'user_mail_info',
							'title' => 'You can use these shortcodes in content of user templates',
							'description' => '<span>[detalis]</span> - inserting detalis about the reservation,<br><span>[siteurl]</span> - inserting your site URL ,<br><span>[form]</span> - inserting form information,<br><span>[extras]</span> - inserting extras information, ',
							'type' => 'info',
							'default' => ''
						),
						'notify_user_on_book' => array(
							'id'   => 'notify_user_on_book',
							'title' =>'Notify on book request',
							'description' => '',
							'enable' => array('notify_user_on_book_from','notify_user_on_book_subject','notify_user_on_book_content'),
							'type' => 'checkbox_enable',
							'default' => 'on'
						),
						'notify_user_on_book_from' => array(
							'id'   => 'notify_user_on_book_from',
							'title' => 'From:',
							'description' => '',
							'type' => 'text',
							'width' => 340,
							'extra_div' => true,
							'default' => "\"Booking calendar\" <".(get_option("admin_email")).">"
						),
						'notify_user_on_book_subject' => array(
							'id'   => 'notify_user_on_book_subject',
							'title' => 'Subject:',
							'description' => '',
							'type' => 'text',
							'width' => 340,
							'default' => 'Your booking request has been sent.'
						),
						'notify_user_on_book_content' => array(
							'id'   => 'notify_user_on_book_content',
							'title' => 'Content:',
							'description' => '',
							'type' => 'textarea',
							'wp_editor' => true,
							'extra_div_end' => true,
							'default' => ''
						),
						'notify_user_on_approved' => array(
							'id'   => 'notify_user_on_approved',
							'title' => 'Notify when reservation is approved',
							'description' => '',
							'enable' => array('notify_user_on_approved_from','notify_user_on_approved_subject','notify_user_on_approved_content'),
							'type' => 'checkbox_enable',
							'default' => 'on'
						),
						'notify_user_on_approved_from' => array(
							'id'   => 'notify_user_on_approved_from',
							'title' => 'From:',
							'description' => '',
							'type' => 'text',
							'width' => 340,
							'extra_div' => true,
							'default' => "\"Booking calendar\" <".(get_option("admin_email")).">"
						),
						'notify_user_on_approved_subject' => array(
							'id'   => 'notify_user_on_approved_subject',
							'title' => 'Subject:',
							'description' => '',
							'type' => 'text',
							'width' => 340,
							'default' => 'Your booking request has been approved'
						),
						'notify_user_on_approved_content' => array(
							'id'   => 'notify_user_on_approved_content',
							'title' => 'Content:',
							'description' => '',
							'type' => 'textarea',
							'wp_editor' => true,
							'extra_div_end' => true,
							'default' => ''
						),
						'notify_user_canceled' => array(
							'id'   => 'notify_user_canceled',
							'title' => 'Notify when reservation is canceled',
							'description' => '',
							'enable' => array('notify_user_canceled_from','notify_user_canceled_subject','notify_user_canceled_content'),
							'type' => 'checkbox_enable',
							'default' => 'on'
						),
						'notify_user_canceled_from' => array(
							'id'   => 'notify_user_canceled_from',
							'title' => 'From:',
							'description' => '',
							'type' => 'text',
							'width' => 340,
							'extra_div' => true,
							'default' => "\"Booking calendar\" <".(get_option("admin_email")).">"
						),
						'notify_user_canceled_subject' => array(
							'id'   => 'notify_user_canceled_subject',
							'title' => 'Subject:',
							'description' => '',
							'type' => 'text',
							'width' => 340,
							'default' => 'Your booking request has been canceled'
						),
						'notify_user_canceled_content' => array(
							'id'   => 'notify_user_canceled_content',
							'title' => 'Content:',
							'description' => '',
							'type' => 'textarea',
							'wp_editor' => true,
							'extra_div_end' => true,
							'default' => ''
						),
						'notify_user_deleted' => array(
							'id'   => 'notify_user_deleted',
							'title' => 'Notify when reservation is deleted (rejected)',
							'description' => '',
							'enable' => array('notify_user_deleted_from','notify_user_deleted_subject','notify_user_deleted_content'),
							'type' => 'checkbox_enable',
							'default' => 'on'
						),
						'notify_user_deleted_from' => array(
							'id'   => 'notify_user_deleted_from',
							'title' => 'From:',
							'description' => '',
							'type' => 'text',
							'width' => 340,
							'extra_div' => true,
							'default' => "\"Booking calendar\" <".(get_option("admin_email")).">"
						),
						'notify_user_deleted_subject' => array(
							'id'   => 'notify_user_deleted_subject',
							'title' => 'Subject:',
							'description' => '',
							'type' => 'text',
							'width' => 340,
							'default' => 'Your booking request has been rejected'
						),
						'notify_user_deleted_content' => array(
							'id'   => 'notify_user_deleted_content',
							'title' => 'Content:',
							'description' => '',
							'type' => 'textarea',
							'wp_editor' => true,
							'extra_div_end' => true,
							'default' => ''
						),
						/*'notify_user_paypal' => array(
							'id'   => 'notify_user_paypal',
							'title' => __( 'PayPal - Notify', 'booking-calendar' ),
							'description' => '',
							'enable' => array('notify_user_paypal_from','notify_user_paypal_subject','notify_user_paypal_content'),
							'type' => 'checkbox_enable',
							'default' => 'on'
						),
						'notify_user_paypal_from' => array(
							'id'   => 'notify_user_paypal_from',
							'title' => __( 'From:', 'booking-calendar' ),
							'description' => '',
							'type' => 'text',
							'width' => 340,
							'extra_div' => true,
							'default' => "\"Booking calendar\" <".(get_option("admin_email")).">"
						),
						'notify_user_paypal_subject' => array(
							'id'   => 'notify_user_paypal_subject',
							'title' => __( 'Subject:', 'booking-calendar' ),
							'description' => '',
							'type' => 'text',
							'width' => 340,
							'default' => 'Your booking request has been sent.'
						),
						'notify_user_paypal_content' => array(
							'id'   => 'notify_user_paypal_content',
							'title' => __( 'Content:', 'booking-calendar' ),
							'description' => '',
							'type' => 'textarea',
							'wp_editor' => true,
							'extra_div_end' => true,
							'default' => ''
						)*/
					)
				)
			),
			"default_texts" => array(
				'title' => 'Default Texts',
				'sections' => array(
					'default_texts' => array(
						'for_check_in' => array(
							'id'   => 'for_check_in',
							'title' => 'Text for check in',
							'description' => '',
							'type' => 'text',
							'default' => 'Check in'
						),
						'for_check_out' => array(
							'id'   => 'for_check_out',
							'title' => 'Text for check out',
							'description' => '',
							'type' => 'text',
							'default' => 'Check out'
						),
						'for_item_count' => array(
							'id'   => 'for_item_count',
							'title' => 'Text for item count',
							'description' => '',
							'type' => 'text',
							'default' => 'Item count'
						),
						'for_termscond' => array(
							'id'   => 'for_termscond',
							'title' => 'Text for terms & conditions',
							'description' => '',
							'type' => 'text',
							'default' => 'I accept to agree to the Terms & Conditions.'
						),
						'for_reservation' => array(
							'id'   => 'for_reservation',
							'title' => 'Text for reservation',
							'description' => '',
							'type' => 'text',
							'default' => 'Reservation'
						),
						'for_select_days' => array(
							'id'   => 'for_select_days',
							'title' => 'Text for select days',
							'description' => '',
							'type' => 'text',
							'default' => 'Please select the days from calendar.'
						),
						'for_price' => array(
							'id'   => 'for_price',
							'title' => 'Text for price',
							'description' => '',
							'type' => 'text',
							'default' => 'Price'
						),
						'for_total' => array(
							'id'   => 'for_total',
							'title' => 'Text for total',
							'description' => '',
							'type' => 'text',
							'default' => 'Total'
						),
						'for_submit_button' => array(
							'id'   => 'for_submit_button',
							'title' => 'Text for submit button',
							'description' => '',
							'type' => 'text',
							'default' => 'Book Now'
						),
						'for_request_successfully_sent' => array(
							'id'   => 'for_request_successfully_sent',
							'title' => 'Text for request successfully sent',
							'description' => '',
							'type' => 'text',
							'default' => 'Your request has been successfully sent. Please wait for approval.'
						),
						'for_request_successfully_received' => array(
							'id'   => 'for_request_successfully_received',
							'title' => 'Text for request successfully received',
							'description' => '',
							'type' => 'text',
							'default' => 'Your request has been successfully received. We are waiting you!'
						),
						'for_error_single' => array(
							'id'   => 'for_error_single',
							'title' => 'Text for no services available single',
							'description' => '',
							'type' => 'text',
							'default' => 'There are no services available for this day.'
						),
						'for_error_multi' => array(
							'id'   => 'for_error_multi',
							'title' => 'Text for no services available multiple days',
							'description' => '',
							'type' => 'text',
							'default' => 'There are no services available for the period you selected.'
						)
					)
				)
			)	
		);
		if($id != 0){
			$setting_rows = $this->model_obj->get_setting_rows( $id );
			$value = json_decode( $setting_rows->value, true );
		}
		?>
		<div id="wpdevart_themes" class="wpdevart-item-container wpdevart-main-item-container">
			<?php
			    if($id != 0){ ?>
					<div class="div-for-clear">
						<span class="admin_logo"></span>
						<h1>Edit Theme <a href="http://wpdevart.com/wordpress-booking-calendar-plugin/"><span class="pro_feature"> (Upgrade to Pro Version)</span></a></h1>
					</div>
				<?php } else { ?>
					<div class="div-for-clear">
						<span class="admin_logo"></span>
						<h1>Edit Theme <a href="http://wpdevart.com/wordpress-booking-calendar-plugin/"><span class="pro_feature"> (Upgrade to Pro Version)</span></a></h1>
					</div>
				<?php } ?>
			<form action="?page=wpdevart-themes" method="post" class="div-for-clear">
				<div id="wpdevart_wpdevart-item_title">
					<span>Theme Name</span> <input type="text" name="title" value="<?php if(isset($setting_rows->title)) echo esc_attr($setting_rows->title); ?>">
					<input type="submit" value="Save" class="action-link wpda-input" name="save">
					<input type="submit" value="Apply" class="action-link wpda-input" name="apply">
				</div>
				<div id="wpdevart-tabs-container" class="div-for-clear">
					<div id="wpdevart_theme-tabs" class="div-for-clear">
						<?php foreach($wpdevart_themes as $key=>$wpdevart_theme) { ?>
							<div id="wpdevart_theme-tab-<?php echo $key; ?>" class="wpdevart_tab <?php echo ($key == "general")? "show" : ""; ?>"><?php echo $wpdevart_theme["title"]; 
							if(isset($wpdevart_theme["pro"]) && $wpdevart_theme["pro"] === true) {
								echo "<span class='pro_feature'> (Pro Feature!)</span>";
							}
							?></div>
						<?php } ?>
					</div>
					<div id="wpdevart-tabs-item-container" class="div-for-clear">
						<?php foreach( $wpdevart_themes as $key=>$wpdevart_setting ) {
							$pro = false;
							if(isset($wpdevart_setting['pro']) && $wpdevart_setting['pro'] === true) {
								$pro = true;
							} ?>
							<div id="wpdevart_theme-tab-<?php echo $key; ?>_container" class="wpdevart_container wpdevart-item-section <?php echo ($key == "general")? "show" : ""; ?>"> 
							<?php foreach( $wpdevart_setting['sections'] as $value_key=>$value_setting ) { ?>
								<div class="wpdevart-item-section-cont">
									<h3><?php echo str_replace("_"," ",$value_key); ?></h3>
									<div>
										<?php
										foreach( $value_setting as $key => $wpdevart_setting_value ) {
											if(isset($wpdevart_setting_value["extra_div"]) && $wpdevart_setting_value["extra_div"]){
												echo "<div class='items_open'>";
											}
											
											if( isset($value[$key]) ) {
												$sett_value = $value[$key];
											} else if(isset($value) && ($wpdevart_setting_value["type"] == "checkbox" || $wpdevart_setting_value["type"] == "checkbox_enable")){
												if(isset($wpdevart_setting_value["valid_options"])) {
													$sett_value = array();
												} else {
													$sett_value = "";
												}
											} else {
												$sett_value = $wpdevart_setting_value['default'];
											}

											$function_name = "wpdevart_callback_" . $wpdevart_setting_value['type'];
											wpdevart_bc_Library::$function_name($wpdevart_setting_value, $sett_value, $pro);
											if(isset($wpdevart_setting_value["extra_div_end"]) && $wpdevart_setting_value["extra_div_end"]){
												echo "</div>";
											}
										}
									?>
									</div>	
								</div>	
							<?php } ?>	
							</div>	
						<?php  } ?>
						<input type="hidden" name="task" value="save">
						<input type="hidden" name="id" value="<?php echo $id; ?>">
				    </div>
				</div>
			</form>
		</div>
	<?php	
	}
  
    private function font_weight() {
		$font_weight = array(
		     "normal" => "Normal",
		     "bold"   => "Bold",
		     "light"  => "Light"
		);
		return $font_weight;
	}
  
    private function font_style() {
		$font_style = array(
		     "normal" => "Normal",
		     "italic" => "Italic",
		);
		return $font_style;
	}
	
	private function get_month() {
		$month = array(
		    '0' => 'Current',
		    '01' => 'January',
			'02' => 'February',
			'03' => 'March',
			'04' => 'April',
			'05' => 'May',
			'06' => 'June',
			'07' => 'July',
			'08' => 'August',
			'09' => 'September',
			'10' => 'October',
			'11' => 'November',
			'12' => 'December',
		);
		return $month;
	}
	
    private function cal_animation_type() {
		$cal_animation_type = array(
		     "none" => "None",
		     "random" => "Random",
		     "bounce" => "Bounce",
		     "flash" => "Flash",
		     "pulse" => "Pulse",
		     "rubberBand" => "RubberBand",
		     "shake" => "Shake",
		     "swing" => "Swing",
		     "tada" => "Tada",
		     "wobble" => "Wobble",
		     "bounceIn" => "BounceIn",
		     "bounceInDown" => "BounceInDown",
		     "bounceInLeft" => "BounceInLeft",
		     "bounceInRight" => "BounceInRight",
		     "bounceInUp" => "BounceInUp",
		     "fadeIn" => "FadeIn",
		     "fadeInDown" => "FadeInDown",
		     "fadeInDownBig" => "FadeInDownBig",
		     "fadeInLeft" => "FadeInLeft",
		     "fadeInLeftBig" => "FadeInLeftBig",
		     "fadeInRight" => "FadeInRight",
		     "fadeInRightBig" => "FadeInRightBig",
		     "fadeInUp" => "FadeInUp",
		     "fadeInUpBig" => "FadeInUpBig",
		     "flip" => "Flip",
		     "flipInX" => "FlipInX",
		     "flipInY" => "FlipInY",
		     "lightSpeedIn" => "LightSpeedIn",
		     "rotateIn" => "RotateIn",
		     "rotateInDownLeft" => "RotateInDownLeft",
		     "rotateInDownRight" => "RotateInDownRight",
		     "rotateInUpLeft" => "RotateInUpLeft",
		     "rotateInUpRight" => "RotateInUpRight",
		     "rollIn" => "RollIn",
		     "zoomIn" => "ZoomIn",
		     "zoomInDown" => "ZoomInDown",
		     "zoomInLeft" => "ZoomInLeft",
		     "zoomInRight" => "ZoomInRight",
		     "zoomInUp" => "ZoomInUp",
		);
		return $cal_animation_type;
	}

}

?>